﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WISE_ColudDataCollect;
using WISE_PrivateServer;

namespace WISE_PrivateServerAndODBC
{
    public partial class Form1 : Form
    {
        enum TabForm
        {
            PrivateServer,
            LogToODBC
        }
        public Form1()
        {
            InitializeComponent();
            ShowSelectForm();
        }
        private void ShowSelectForm()
        {
                PrivateServer Privateserver = new PrivateServer();
                Privateserver.TopLevel = false;
                tabPage1.Controls.Add(Privateserver);
                Privateserver.Show();
                LogToODBC LogtoODBC = new LogToODBC();
                LogtoODBC.TopLevel = false;
                tabPage2.Controls.Add(LogtoODBC);
                LogtoODBC.Show();
                if (tabControl1.SelectedIndex == (int)TabForm.PrivateServer)
                {
                    tabControl1.Width = Privateserver.Width + tabControl1.Width - tabPage1.Width;
                    tabControl1.Height = Privateserver.Height + tabControl1.Height - tabPage1.Height;
                }
                else if (tabControl1.SelectedIndex == (int)TabForm.LogToODBC)
                {
                    tabControl1.Width = LogtoODBC.Width + tabControl1.Width - tabPage2.Width;
                    tabControl1.Height = LogtoODBC.Height + tabControl1.Height - tabPage2.Height;
                }
        }

        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (tabControl1.SelectedIndex == (int)TabForm.PrivateServer)
            {
                PrivateServer Privateserver = new PrivateServer();
                tabControl1.Width = Privateserver.Width + tabControl1.Width - tabPage1.Width;
                tabControl1.Height = Privateserver.Height + tabControl1.Height - tabPage1.Height;
            }
            else if (tabControl1.SelectedIndex == (int)TabForm.LogToODBC)
            {
                LogToODBC LogtoODBC = new LogToODBC();
                tabControl1.Width = LogtoODBC.Width + tabControl1.Width - tabPage2.Width;
                tabControl1.Height = LogtoODBC.Height + tabControl1.Height - tabPage2.Height;
            }
        }
    }
}
